org.eclipse.jgit.ignore

## Enum IgnoreNode.MatchResult

- java.lang.Object
- - java.lang.Enum<IgnoreNode.MatchResult>
  - - org.eclipse.jgit.ignore.IgnoreNode.MatchResult

All Implemented Interfaces:
  Serializable, Comparable<IgnoreNode.MatchResult>

Enclosing class:
  IgnoreNode

    public static enum IgnoreNode.MatchResult
    extends Enum<IgnoreNode.MatchResult>

Result from `IgnoreNode.isIgnored(String, boolean)`.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CHECK_PARENT` The ignore status is unknown, check inherited rules.
`IGNORED` The file is ignored due to a rule in this node.
`NOT_IGNORED` The file is not ignored, due to a rule saying its not ignored.

### Method Summary

Methods
`static IgnoreNode.MatchResult` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IgnoreNode.MatchResult[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT_IGNORED

    public static final IgnoreNode.MatchResult NOT_IGNORED

The file is not ignored, due to a rule saying its not ignored.

#### IGNORED

    public static final IgnoreNode.MatchResult IGNORED

The file is ignored due to a rule in this node.

#### CHECK_PARENT

    public static final IgnoreNode.MatchResult CHECK_PARENT

The ignore status is unknown, check inherited rules.

### Method Detail

#### values

    public static IgnoreNode.MatchResult[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IgnoreNode.MatchResult c : IgnoreNode.MatchResult.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IgnoreNode.MatchResult valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null